Ubuntu14.04安装Python3.5

原创 2016年08月31日 10:40:08

Scrapy已经支持Python3了https://blog.scrapinghub.com/2016/02/04/python-3-support-with-scrapy-1-1rc1/

在安装Scrapy前确保下面的几个已经安装好:

1、Python3.5

2、pip   Python2.7.9和之后的版本都已包括pip。

3、lxml  大部分Linux版本已经安装了lxml,否则参考http://lxml.de/installation.html进行安装。

4、OpenSSL在大部分操作系统中已经预安装了。

先安装Python3.5

ubuntu14.04系统会自带python2.7,请不要卸载它。不同版本的python可以共存在一个系统上。

卸载之后,桌面系统会被影响。

(1)sudo add-apt-repository ppa:fkrull/deadsnakes

(2)sudo apt-get update

(3)sudo apt-get install python3.5

(4)sudo cp /usr/bin/python /usr/bin/python_bak,先备份
(5)sudo rm /usr/bin/python,删除
(6)sudo ln -s /usr/bin/python3.5 /usr/bin/python,默认设置成python3.5,重建软链接这样在终端中输入python默认就是 3.5.2版本了.

因为pip、lxml和OpenSSL在ubuntu中已经预安装了,所以可以直接安装scrapy了。

安装Scrapy

不要使用Ubuntu提供的python-scrapy包,太老、太慢。有两种替换方式:

第一种:使用官方Ubuntu包,它已经解决了所有的依赖,持续修复了bug。

步骤:

(1)Import the GPG key used to sign Scrapy packages into APT keyring:

sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv 627220E7

(2)使用命令创建/etc/apt/sources.list.d/scrapy.list文件:

<del>echo 'deb http://archive.scrapy.org/ubuntu scrapy main' | sudo tee /etc/apt/sources.list.d/scrapy.list</del>

(3)更新包列表、安装scrapy包:

<del>sudo apt-get update && sudo apt-get install scrapy</del>
如果想更新Scrapy,就重复(3)。

如果你想自己本地build Python依赖而不用系统包,你可以采用下面一种方式
第二种:

步骤:

(1)安装non-python依赖

sudo apt-get install python-dev python-pip libxml2-dev libxslt1-dev zlib1g-dev libffi-dev libssl-dev

(2)安装


版权声明:本文为博主原创文章,未经博主允许不得转载。

相关文章推荐

Ubuntu 14.04安装和使用python3.5

原链接:https://community.bwbot.org/topic/192 python3.5增加了很多非常棒的特性,比如协程。用起来很好,但是Ubuntu 14.04系统默认的源里面并没有...

ubuntu安装python3.5

ubuntu14.04系统会自带python2.7,请不要卸载它。不同版本的python可以共存在一个系统上。 卸载之后,桌面系统会被影响。 (1)sudo add-apt-repositor...
  • BeBeMo
  • BeBeMo
  • 2016-05-09 09:10
  • 17657

ubuntu14.04安装python3.5以及sklearn

ubuntu14.04系统会自带python2.7(输入python可以进入python环境来进行检测),请不要卸载。不同版本的Python可以共存。卸载之后,系统可能会被影响。 (1)sudo a...

Ubuntu14.04 Anaconda(python3.6)安装tensorflow (报错:undefined symbol: zgelsd_; is not a supported wheel等

本来安装tensorflow是一件无比简单的事,但在我的电脑上却装了一个星期。期间遇到各种麻烦事、各种坑,在此记录一下,方便大家。报错包括: undefined symbol: zgelsd_ Imp...

(一)搭建python3.4环境之ubuntu14.04下安装多版本Python(亲测有效)

转自:http://www.cnblogs.com/ningvsban/p/4384995.html 今天一不小心又把ubuntu系统给完坏了,因为我把python3卸载了,然后就。。。好了,不废话...

在ubuntu14.04上安装python3.4.3

其实,百度了好多资料,但都是垃圾,呵呵,我就不说话了。 为什么要手动用源码安装,而不是用sudo apt-get呢?没办法咯,官方的版本最新只有3.4的,我要3.4.3的。 呐怎么办呢? 好吧,...

Caffe搭建:Ubuntu14.04 + CUDA7.5 + opencv3.1+python3.5

从Hinton在science上发表深度学习训练开创新的文章以来,深度学习火了整整有3年多,而且随着新的硬件和算法的提出,深度学习正在应用于越来越多的领域,发挥其算法的优势。   实验室并没有赶...

ubuntu 16.04 安装 opencv +contrib (3.2.0) + python 3.5

环境: - ubuntu 16.04 - opencv + contrib 3.2.0 (文中附下载链接) - python 3.5基于其他环境的配置应该大同小异。 没时间解释了,直接上车。更...

Linux-Ubuntu16.04下Python3.5安装pip3以及scrapy、numpy、itchat

Python3.x库安装
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:深度学习:神经网络中的前向传播和反向传播算法推导
举报原因:
原因补充:

(最多只允许输入30个字)